Bug 3580 - [UPDATE REQUEST] [UPSTREAM UPDATE] resource-agents
: [UPDATE REQUEST] [UPSTREAM UPDATE] resource-agents
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-13 15:25 MSK by Andrew Lukoshko
Modified: 2014-01-20 15:40 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2014-01-13 15:25:56 MSK
* Previously, the rgmanager oracledb resource agent failed to start when the listener_name option set for the resource in the cluster.conf file was omitted. With this update, the oracledb.sh file has been modified to operate correctly when no "listener_name" is given, and thus oracledb now starts correctly. 

* Previously, the no_unmount functionality was missing in the netfs.sh file. Consequently, the netfs resource agent did not allow an NFS share to remain mounted after a service was relocated. This update adds back the unintentionally dropped functionality, and the file system is now left mounted when the service relocates. 

* Previously, the SAPInstance resource agent for pacemaker did not behave correctly on nodes where the corosync node name did not match the host name. The check provided by the sapinstance_notify() function has been modified to fix this bug. The SAPInstance agent now works correctly regardless of the match between the corosync node name and host name. 

* The following agents were shipped in error, and thus have now been dropped: nginx, rsyslog, mysql-proxy, tomcat, and slapd.

In addition, this update adds the following enhancement: 

* With this update, the "Delay" resource agent has been added to the resource-agent packages as an officially supported agent.

https://rhn.redhat.com/errata/RHBA-2013-1780.html

https://abf.rosalinux.ru/build_lists/1513320
https://abf.rosalinux.ru/build_lists/1513321
Comment 1 Vladimir Potapov 2014-01-14 14:38:08 MSK
resource-agents-3.9.2-40.res6.4
********************************* RHEL Advisory **********************
* Previously, the rgmanager oracledb resource agent failed to start when the listener_name option set for the resource in the cluster.conf file was omitted. With this update, the oracledb.sh file has been modified to operate correctly when no "listener_name" is given, and thus oracledb now starts correctly. 

* Previously, the no_unmount functionality was missing in the netfs.sh file. Consequently, the netfs resource agent did not allow an NFS share to remain mounted after a service was relocated. This update adds back the unintentionally dropped functionality, and the file system is now left mounted when the service relocates. 

* Previously, the SAPInstance resource agent for pacemaker did not behave correctly on nodes where the corosync node name did not match the host name. The check provided by the sapinstance_notify() function has been modified to fix this bug. The SAPInstance agent now works correctly regardless of the match between the corosync node name and host name. 

* The following agents were shipped in error, and thus have now been dropped: nginx, rsyslog, mysql-proxy, tomcat, and slapd.

In addition, this update adds the following enhancement: 

* With this update, the "Delay" resource agent has been added to the resource-agent packages as an officially supported agent.

https://rhn.redhat.com/errata/RHBA-2013-1780.html
*********************************************************
QA Verified